#pragma once
#include "../Layer3TacticalRecognition/Layer3TacticalRecognition.h"

class Layer4StrategicRecognition : public Process
{
public:
  Layer4StrategicRecognition(Layer3TacticalRecognition& layer3TacticalRecognition)
    : Process(Spar)
    , m_layer3TacticalRecognition(layer3TacticalRecognition)
  {
  }

  void onFrame() {}
protected:
  virtual void onStart() {}
  virtual void onEnd() {}

  virtual void _output(std::ostream& out) const
  {
    out << "Layer 4 Sensing - Strategic recognition";
  }

  Layer3TacticalRecognition& m_layer3TacticalRecognition;
};
